Application meta¶
GET /api/app-meta
Query parameters¶
Mandatory
storetype - store type (appstore or googleplay)
storeid - store id of app (for example com.google.android.apps.maps or 585027354)
country - country ISO code (ex.: US, RU, GB etc.)
Optional
timestamp (default: now) - timestamp of search results in ISO format (YYYY-MM-DDThh:mmTZD, ex.: 2017-07-16T19:20%2B03:00) Note that plus sign is replaced with %2B
Example request¶
GET /api/app-meta?country=CH&storetype=appstore&storeid=1140806270
If we have all required information for this request, you will get following response:
Status: 200 OK
{
"id": <string>, // request id for technical support purposes
"data": {
"timestamp": <string>, // ISO format timestamp of results,
"storetype": <string>, // same as specified in query params,
"storeid": <string>, // same as specified in query params,
"country": <string>, // same as specified in query params,
"categories": [<string>], // list of categories in original order
"category_ids": [<string>],
"results": {
"description": <string>,
"icon": <string>, // url
"is_on_market": <boolean>, // always true here: apps absent from the store answer 204 instead
"promotext": <string>,
"screenshots": {
<string>: [<string>] // type: urls
},
"short_description": <string>,
"title": <string>,
"kind": <string>, // type of object: application, bundle (iOS only), developer (iOS only), inapp (iOS only In-App Purchase), editorial (iOS only editorial, story or application grouping)
"inapp_payments":
// iOs: List of in app payments
[
{
"id": <string>,
"name": <string>,
"price": <string>,
"pricing_parameters": <string>
},
...
],
// Android: true|false only
<bool>
}
}
}
If we need to download some additional data from store’s servers, you will get following response:
Status: 202 Accepted
{
"key": <string>, //request key for technical support purposes
"detail": "Result is preparing, try in 30 seconds later"
}
So, try in 30 seconds later and if response will be ready you will get full data.
If we know for sure the application is not present on the store for the requested country (the store was actually checked and the app locale is empty), you will get:
Status: 204 No Content